Skip to content
SynupAPI
Get an API key
GETapi.synup.com/api/v4/social-post-ideas/post-ideas

Post ideas

Returns the AI social post ideas for a brand (social profile). Filter by bucket (e.g. idea, calendar, series) and filter (e.g. ai vs mine), and page with limit/offset.

Requires an API key. Send it as Authorization: API <your-key> — see Getting started.

Parameters

Query

NameTypeRequiredDescription
socialProfileIdstringrequiredSocial profile ID.
bucketstringoptionalBucket to filter by (e.g. idea, calendar, series).
filterstringoptionalSource filter (e.g. ai or mine).
limitintegeroptionalMaximum number of ideas to return.
offsetintegeroptionalNumber of ideas to skip.

Headers

NameTypeRequiredDescription
Synup-VersionstringrequiredAPI version date (YYYY-MM-DD).

Request

Request
curl -X GET 'https://api.synup.com/api/v4/social-post-ideas/post-ideas?socialProfileId=&bucket=&filter=&limit=&offset=' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json'

Responses

StatusDescription
200Successful response
401Unauthorized - Invalid or missing API key
Example response (generated from the schema)
{
  "data": {
    "postIdeas": [
      {
        "id": "string",
        "socialProfileId": "string",
        "title": "string",
        "content": "string",
        "imagePrompt": "string",
        "imageUrl": "string",
        "type": "string",
        "status": "string",
        "platforms": [
          "string"
        ],
        "bucket": "string",
        "calendarDay": 0,
        "scheduledDate": "string",
        "scheduledTime": "string",
        "ctaText": "string",
        "ctaUrl": "string",
        "note": "string",
        "seriesId": "string",
        "socialPostId": "string",
        "isRecurring": true,
        "isUserGenerated": true,
        "observanceName": "string",
        "observanceDate": "string",
        "language": "string",
        "generationBatchId": "string",
        "fluxJobId": "string",
        "createdAt": "string",
        "updatedAt": "string"
      }
    ]
  }
}

Response body

NameTypeRequiredDescription
dataobjectoptional
data.postIdeasarray of objectoptional
data.postIdeas[].idstringoptional
data.postIdeas[].socialProfileIdstringoptional
data.postIdeas[].titlestringoptional
data.postIdeas[].contentstringoptional
data.postIdeas[].imagePromptstringoptional
data.postIdeas[].imageUrlstringoptional
data.postIdeas[].typestringoptional
data.postIdeas[].statusstringoptional
data.postIdeas[].platformsarray of stringoptional
data.postIdeas[].bucketstringoptional
data.postIdeas[].calendarDayintegeroptional
data.postIdeas[].scheduledDatestringoptional
data.postIdeas[].scheduledTimestringoptional
data.postIdeas[].ctaTextstringoptional
data.postIdeas[].ctaUrlstringoptional
data.postIdeas[].notestringoptional
data.postIdeas[].seriesIdstringoptional
data.postIdeas[].socialPostIdstringoptional
data.postIdeas[].isRecurringbooleanoptional
data.postIdeas[].isUserGeneratedbooleanoptional
data.postIdeas[].observanceNamestringoptional
data.postIdeas[].observanceDatestringoptional
data.postIdeas[].languagestringoptional
data.postIdeas[].generationBatchIdstringoptional
data.postIdeas[].fluxJobIdstringoptional
data.postIdeas[].createdAtstringoptional
data.postIdeas[].updatedAtstringoptional